org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlNavigationPropertyPath

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression
    - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression
      - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlNavigationPropertyPath

-     public class CsdlNavigationPropertyPath
      extends CsdlDynamicExpression

  The edm:NavigationPropertyPath expression provides a value for terms or term properties that specify the built-in abstract type Edm.NavigationPropertyPath

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlNavigationPropertyPath()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getValue()` Returns the navigation property path itself.
    `int` | `hashCode()`
    `CsdlNavigationPropertyPath` | `setValue(String value)`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression

      `asAnnotationPath, asApply, asCast, asCollection, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLogicalOrComparison, asNavigationPropertyPath, asNull, asPath, asPropertyPath, asRecord, asUrlRef, isAnnotationPath, isApply, isCast, isCollection, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLogicalOrComparison, isNavigationPropertyPath, isNull, isPath, isPropertyPath, isRecord, isUrlRef`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

      `asConstant, asDynamic, isConstant, isDynamic`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlNavigationPropertyPath

          public CsdlNavigationPropertyPath()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Returns the navigation property path itself.
      Returns:
        navigation property

    - #### setValue

          public CsdlNavigationPropertyPath setValue(String value)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.